import {getsearchlist} from "@/api/search.js"
const state = {
	// 接口数据是对象格式 初始化要一样
	searchlist:{}
};

const mutations = {
	GETSEARCHLIST(state,searchlist){
		state.searchlist=searchlist
	}
};

const actions = {
	// 获取search模块数据
	// params={} 默认是一个空对象
	async getsearchlist({commit},params={}){
		// 至少传递一个参数
		// parmas是用户派发的时候才有的,至少是一个空对象
		let result =await getsearchlist(params)
		console.log(params);
		if(result.code==200){
			commit("GETSEARCHLIST",result.data)
		}
	}
};
// vuex的计算属性 为了简化数据而生 把复杂数据转换为简单数据
// (接口的数据比较复杂,进行简化)
const getters = {
	// 当前形参state 当前小仓库中的state
	goodsList(state){
		// state有两种状态 返回underfind和真数据
		// 有网 返回真数据
		// 没网 返回underfind 解决问题就添加 || [] (空数组)
		return state.searchlist.goodsList || []
	},
	attrsList(state){
		return state.searchlist.attrsList || []
	},
	trademarkList(state){
		return state.searchlist.trademarkList || []
	}
};

export default {
  state,
  mutations,
  actions,
  getters,
};
